import get from 'lodash.get'

const apiList = {
  app: {
    url: '',
    method: 'get',
  },
  //获取楼盘信息
  building:{
    getbuilding:{
      url: '/api/lp/buildingBaseInfo/:project_id',
      method: 'get',
    },
    // get:{
    //   url: '/api/lp/buildingBaseInfo/:project_id',
    //   method: 'get',
    // },
  },
  //获取楼盘相册
  buildingimage:{
    getbuildingimage:{
      url: '/api/lp/getBuildingImages/:buildingid',
      method: 'get',
    },
    // get:{
    //   url: '/api/lp/getBuildingImages/:buildingid',
    //   method: 'get',
    // },
  },
  //获取户型图片及信息
  buildingtype:{
    gethousetype:{
      url: '/api/lp/getBuildingModels/:buildingid',
      method: 'get',
    },
    // get:{
    //   url: '/api/lp/getBuildingModels/:buildingid',
    //   method: 'get',
    // },
  },
  //添加收藏
  collect:{
    addcollect:{
      url: '/api/lp/saveCollect/:buildingid',
      method: 'get',
    },
    // get:{
    //   url: '/api/lp/saveCollect/:buildingid',
    //   method: 'get',
    // },
  },
  //取消收藏
  delectcollect:{
    delect:{
      url: '/api/lp/deleteCollect/:buildingid',
      method: 'get',
    },
  },
//浏览人数
  visitors:{
    add:{
      url: '/api/lp/updateDynamicBrowsinginfo/:id',
      method: 'get',
    }
  },
// 周边地图信息
  map:{
    getmapinformation:{
      url: '/api/lp/getBuildingRoute/:buildingid',
      method: 'get',
    },
    // get:{
    //   url: '/api/lp/getBuildingRoute/:buildingid',
    //   method: 'get',
    // },
  },
  //预约看房信息
  lookhouse:{
    subscribeinformation:{
      url: '/api/order/getBuildingInfo/:project_id',
      method: 'get',
    },
    // get:{
    //   url: '/api/order/getBuildingInfo/:project_id',
    //   method: 'get',
    // },
  },
  //预约看房楼盘名称
  housenamelist:{
    getnamelist:{
      url: '/api/order/buildingList/:project_id',
      method: 'get',
    },
    // get:{
    //   url: '/api/order/buildingList/:project_id',
    //   method: 'get',
    // },
  },
  //预约看房获取楼盘id
  typelist:{
    gettypelist:{
      url: '/api/order/buildingInfo/:buildingid',
      method: 'get',
    },
    // get:{
    //   url: '/api/order/buildingInfo/:buildingid',
    //   method: 'get',
    // },
  },
  //提交预约看房信息
  order: {
    save: {
      url: '/api/order/saveOrder',
      method: 'post',
    },
    // post: {
    //   url: '/api/order/saveOrder',
    //   method: 'post',
    // },
  },
  
  user: {
    get: {
      url: '/api/user',
      method: 'get',
    },
    update: {
      url: '/api/user/:id',
      method: 'post',
    },

  }
}

// user.update
// { id: 123 }
export default function getAPI(api, params) {
  if (!api) {
    return apiList;
  }

  const theAPI = get(apiList, api)
  if (!params) {
    return theAPI;
  }

  let url = theAPI.url;
  Object.keys(params).forEach((key) => {
    const val = params[key];

    url = url.replace(new RegExp(':' + key), val)
  })

  return { ...theAPI, url }
}
