import Vue from 'vue'
import Vant from 'vant'
import 'vant/lib/vant-css/index.css'
import App from './App.vue'
import router from './router'
import store from './store'
import AMap from 'vue-amap'
import VueAwesomeSwiper from 'vue-awesome-swiper'
import 'swiper/dist/css/swiper.css'
import moment from 'moment/moment'
import vueEventCalendar from 'vue-event-calendar' 




Vue.filter('moment', function (value, formatString) {
formatString = formatString || 'YYYY/MM/DD';
return moment(value).format(formatString);
});

// import './theme'
// import './public/style/common.scss'
// import AMap  from 'vue-amap'

Vue.use(Vant)
Vue.use(AMap)
Vue.use(VueAwesomeSwiper, /* { default global options } */)
Vue.use(vueEventCalendar, {locale: 'en'}) //locale can be 'zh' or 'en'

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
