import request from '../utils/request'
import getAPI from '../config/apis'

export default {
    namespaced: true,
    state: {
      namelist: {},
    },
    mutations: {
        updateHouseNameList(state, namelist) {
        state.namelist = namelist
      }
    },
    actions: {
      getHouseNameList({ commit }, params) {
        return new Promise((resolve, reject) => {
          request({ ...getAPI('housenamelist.getnamelist', { project_id: params.project_id }) }).then((data) => {
            commit('updateHouseNameList', data)
            resolve()            
          }).catch(reject)
        });
      },
    }
  }