import request from '../utils/request'
import getAPI from '../config/apis'

export default {
    namespaced: true,
    state: {
      houselist: {},
    },
    mutations: {
      updateTypeList(state, houselist) {
        state.houselist = houselist
      }
    },
    actions: {
      getTypeList({ commit,dispatch}, params) {
        return new Promise((resolve, reject) => {
          request({ ...getAPI('typelist.gettypelist', { buildingid: params.buildingid,data: params  }) }).then((data) => {
           
            commit('updateTypeList', data);
            dispatch('lookhouse/updateData',data.buildingInfo, {root: true});
            resolve()            
          }).catch(reject)
        });
      },
    }
  }