import request from '../utils/request'
import getAPI from '../config/apis'

export default {
  state: {
    name: '',
    id: '',
    avator: '',
  },
  mutations: {
    updateUser(state, newUser) {
      const { name, id, avator } = newUser;
      state.name = name;
      state.id = id;
      state.avator = avator;
    }
  },
  actions: {
    getUser({ commit }, params) {
      request({ ...getAPI('user.get'), query: params }).then((data) => {
        commit('updateUser', data)
      })
    },
  }
}