import request from '../utils/request'
import getAPI from '../config/apis'

export default {
    namespaced: true,
    state: {
      browsingnum: '',
    },
    mutations: {
      updateVisitors(state, browsingnum) {
        state.browsingnum = browsingnum
      }
    },
    actions: {
      postVisitors({ commit }, params) {
        return new Promise((resolve, reject) => {
          request({ ...getAPI('visitors.add', { id:params.id, data:params}) }).then((data) => {
            commit('updateVisitors', data)
            resolve()            
          }).catch(reject)
        });
      },
    }
  }