import axios from 'axios'
// import loadding from './loadding'

export default function request(config) {
  return new Promise((resolve, reject) => {
    const { query, data, ...conf } = config;
    const params = query;
    const formHead = { 'content-type': "multipart/form-data"}
    const fmtData = new FormData()

    if (data) {
      Object.keys(data).forEach((k) => {
        const val = data[k]

        if (Array.isArray(val)) {
          val.forEach((v) => {
            fmtData.append(k, v)
          })
        } else {
          fmtData.append(k, val)
        }
      })
    }
    
    // const id = loadding.start()
    axios({
      params,
      data: !data ? undefined : fmtData,
      headers: {
        ...formHead
      },
      ...conf,
    }).then((response) => {
      const data = response.data;
      // loadding.stop(id);

      if (data.result) {
        resolve(data);
      } else {
        reject('请求数据失败');
      }
    }).catch((error) => {
      // console.error(error);
      // loadding.stop(id);

      reject(error.message);
    });
  });
}
